SoXtSliderSetBase(3IV)

NAME
SoXtSliderSetBase — abstract base class for Motif-only slider components

INHERITS FROM
SoXtComponent > SoXtSliderSetBase

SYNOPSIS
#include <Inventor/Xt/SoXtSliderSetBase.h>

Methods from class SoXtSliderSetBase:

virtual void
setNode(SoNode *newNode)
SoNode *
getNode() const

Methods from class SoXtComponent:

virtual void
show()
virtual void
hide()
SbBool
isVisible()
Widget
getWidget() const
SbBool
isTopLevelShell() const
Widget
getShellWidget() const
Widget
getParentWidget() const
void
setSize(const SbVec2s &size)
SbVec2s
getSize()
Display *
getDisplay()
void
setTitle(const char *newTitle)
const char *
getTitle() const
void
setIconTitle(const char *newIconTitle)
const char *
getIconTitle() const
void
setWindowCloseCallback(SoXtComponentCB *func, void *data = NULL)
static SoXtComponent *
getComponent(Widget w)
const char *
getWidgetName() const
const char *
getClassName() const

DESCRIPTION
This class is used as a base class for all editors which use Motif sliders to edit fields in an Inventor scene graph node. This class is not meant to be instanced by programmers who want to use an editor in a program. It should only be used as a base class when designing new editors.

SoXtSliderSetBase is derived from SoXtComponent, but adds three concepts. First, there is a node to edit. Second, there are subcomponents. When an SoXtSliderSetBase is shown or hidden, so are its subcomponents. (As an example, an SoXtTransformSliderSet is composed of many subcomponents). Third, an SoXtSliderSetBase has a layout size, which is used to lay out the subcomponents.

METHODS
virtual void
setNode(SoNode *newNode)
Sets a new node as the node to be modified by this editor component.

SoNode *
getNode() const
Returns a pointer to the node currently being modified by this editor component.

SEE ALSO
SoXtComponent, SoXtSliderSet